curs_addchstr(3)

NAME
addchstr, addchnstr, waddchstr, waddchnstr, mvaddchstr, mvaddchnstr, mvwaddchstr, mvwaddchnstr - add string of characters (and attributes) to a ncurses window

SYNOPSIS
#include <ncurses.h> int addchstr(chtype *chstr);
int addchnstr(chtype *chstr, int n);
int waddchstr(WINDOW *win, chtype *chstr);
int waddchnstr(WINDOW *win, chtype *chstr, int n);
int mvaddchstr(int y, int x, chtype *chstr);
int mvaddchnstr(int y, int x, chtype *chstr, int n);
int mvwaddchstr(WINDOW *win, int y, int x, chtype *chstr);
int mvwaddchnstr(WINDOW *win, int y, int x, chtype *chstr, int n);

DESCRIPTION
These routines copy chstr into the window image structure at and after the current cursor position. The four routines with n as the last argument copy at most n elements, but no more than will fit on the line. If n=-1 then the whole string is copied, to the maximum number of characters that will fit on the line. The window cursor is NOT advanced, and these routines work faster than waddnstr. On the other hand, care must be taken when using them because they don't perform any kind of checking (such as for the newline character), they don't advance the current cursor position, and they truncate the string if it crosses the right margin, rather then wrapping it around to the new line.

RETURN VALUES
All these routines return the integer ERR upon failure and an integer value other than ERR upon successful completion, unless otherwise noted in the preceding routine descriptions.

NOTES
Note that all routines except waddchnstr may be macros.

SEE ALSO
ncurses(3).